Gnome2::Wnck::Application(3)

NAME
Gnome2::Wnck::Application

HIERARCHY
  Glib::Object
  +----Gnome2::Wnck::Application

METHODS

  application = Gnome2::Wnck::Application->get ($xwindow)

•   $xwindow (unsigned)

  pixbuf = $app->get_icon

  boolean = $app->get_icon_is_fallback

  string = $app->get_icon_name

  pixbuf = $app->get_mini_icon

  integer = $app->get_n_windows

  string = $app->get_name

  integer = $app->get_pid

  string = $app->get_startup_id

  list = $app->get_windows
Returns a list of WnckWindow's.

  unsigned = $app->get_xid

SIGNALS

icon-changed (Gnome2::Wnck::Application)
name-changed (Gnome2::Wnck::Application)

SEE ALSO
Gnome2::Wnck, Glib::Object

COPYRIGHT
Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2::Wnck for a full notice.